const IS_PROD = process.env.NODE_ENV === 'production'
const IS_DEV = process.env.NODE_ENV === 'development'
const IS_BROWSER = typeof window !== 'undefined'
const IS_NODE = typeof window === 'undefined'
let iS_PC = undefined
let IS_MOBILE = undefined

if (IS_BROWSER) {
  const { getUA } = require('../client/ua')
  iS_PC = getUA().device === 'PC'
  IS_MOBILE = getUA().device === 'Mobile'
}

module.exports = {
  IS_DEV,
  IS_PROD,
  IS_BROWSER,
  IS_NODE,
  iS_PC,
  IS_MOBILE,
}